Bug 114100 - Text Editor inserts function anonymous() {}. Then code fails.
Text Editor inserts function anonymous() {}. Then code fails.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS-usability (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tzu-Mainn Chen
Daniel Berrange
http://aplaws-ws3.ccm-demo.redhat.de/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 12:07 EST by James Kearns
Modified: 2010-09-03 10:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 10:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Kearns 2004-01-22 12:07:00 EST
Description of problem:
Using 

<a href="#" onClick="window.open 
('http://www.sony.com/','myExample4','width=200,height=200')">hello</a
>

in html source works at first. But if I return to the saved Article 
and do more editing later, the code stops working. The code has been 
changed by the system to

<a onclick="function anonymous()
                                 {
                                 

window.open
('http://www.sony.com/','myExample4','width=200,height=200')
                                 }" href="#">hello</a>

Futher editing and previewing results in more function anonymous() 
code being added automatically.


Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.add <a href="#" onClick="window.open
('http://www.sony.com/','myExample4','width=200,height=200')">hello</a
> into any Article content item source.

2. Save and Preview. Click hello. Sony.com pop-up appears. This is 
all ok.

3. Now go back and edit the Article. Any editing, say add some random 
text elsewhere in the article.

4. Save and Preview. Click hello. 
 
Actual results:
Sony.com pop-up does not appear.

Expected results:
Sony.com pop-up appears.

Additional info:
Arturo Dell has also observed this problem.
Comment 1 Tzu-Mainn Chen 2004-01-23 03:28:39 EST
I've checked in a fix.
Comment 2 David Lawrence 2006-07-17 23:16:09 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.